MsWksDocumentInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWksDocumentInternal::State Struct Reference

Internal: the state of a MsWksDocument. More...

## Public Member Functions
| State ()
| constructor More...
std::vector< MWAWColor > const & | getPalette (int vers)
| returns a color palette More...

## Public Attributes
MWAWDocument::Kind | m_kind
| the type of document More...
long | m_fileHeaderSize
| the file header size More...
int | m_freeZoneId
| an id to count the number of free map More...
std::multimap< int, MsWksDocument::Zone > | m_typeZoneMap
| the list of zone (for v1-v3) document More...
std::multimap< std::string, MWAWEntry > | m_entryMap
| the list of entries, name->entry ( for v4 document) More...
bool | m_hasHeader
| true if there is a header v3 More...
bool | m_hasFooter
| true if there is a footer v3 More...
std::shared_ptr< MWAWOLEParser > | m_oleParser
| the ole parser More...
std::shared_ptr< MsWks4Zone > | m_headerParser
| parser of the header ole More...
std::shared_ptr< MsWks4Zone > | m_footerParser
| parser of the footer ole More...
std::shared_ptr< MsWks4Zone > | m_footnoteParser
| parser of the footnote ole More...
std::map< std::string, std::shared_ptr< MsWks4Zone > > | m_frameParserMap
| the frame parsers: name-> parser More...
std::vector< std::string > | m_unparsedOlesName
| the list of unparsed OLEs More...
std::vector< MWAWColor > | m_colorPalette [4]
| the color palette More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a MsWksDocument.

## Constructor & Destructor Documentation

## ◆ State()

MsWksDocumentInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPalette()

std::vector< MWAWColor > const & MsWksDocumentInternal::State::getPalette | ( | int | vers | ) |

returns a color palette

## Member Data Documentation

## ◆ m_actPage

int MsWksDocumentInternal::State::m_actPage

the actual page

## ◆ m_colorPalette

std::vector<MWAWColor> MsWksDocumentInternal::State::m_colorPalette[4]

the color palette

Referenced by getPalette().

## ◆ m_entryMap

std::multimap<std::string, MWAWEntry> MsWksDocumentInternal::State::m_entryMap

the list of entries, name->entry ( for v4 document)

## ◆ m_fileHeaderSize

long MsWksDocumentInternal::State::m_fileHeaderSize

the file header size

## ◆ m_footerHeight

int MsWksDocumentInternal::State::m_footerHeight

the footer height if known

## ◆ m_footerParser

std::shared_ptr<MsWks4Zone> MsWksDocumentInternal::State::m_footerParser

parser of the footer ole

## ◆ m_footnoteParser

std::shared_ptr<MsWks4Zone> MsWksDocumentInternal::State::m_footnoteParser

parser of the footnote ole

## ◆ m_frameParserMap

std::map<std::string, std::shared_ptr<MsWks4Zone> > MsWksDocumentInternal::State::m_frameParserMap

the frame parsers: name-> parser

## ◆ m_freeZoneId

int MsWksDocumentInternal::State::m_freeZoneId
| mutable

an id to count the number of free map

## ◆ m_hasFooter

bool MsWksDocumentInternal::State::m_hasFooter

true if there is a footer v3

## ◆ m_hasHeader

bool MsWksDocumentInternal::State::m_hasHeader

true if there is a header v3

## ◆ m_headerHeight

int MsWksDocumentInternal::State::m_headerHeight

the header height if known

## ◆ m_headerParser

std::shared_ptr<MsWks4Zone> MsWksDocumentInternal::State::m_headerParser

parser of the header ole

## ◆ m_kind

MWAWDocument::Kind MsWksDocumentInternal::State::m_kind

the type of document

## ◆ m_numPages

int MsWksDocumentInternal::State::m_numPages

the number of page of the final document

## ◆ m_oleParser

std::shared_ptr<MWAWOLEParser> MsWksDocumentInternal::State::m_oleParser

the ole parser

## ◆ m_typeZoneMap

std::multimap<int, MsWksDocument::Zone> MsWksDocumentInternal::State::m_typeZoneMap

the list of zone (for v1-v3) document

## ◆ m_unparsedOlesName

std::vector<std::string> MsWksDocumentInternal::State::m_unparsedOlesName

the list of unparsed OLEs

The documentation for this struct was generated from the following file:

- MsWksDocument.cxx